bm::match_pair Struct Reference

XOR match pair. More...

`#include <bmxor.h>`

## Public Member Functions

| match_pair ()
| match_pair (bvector_size_type idx, bm::id64_t d64)

## Data Fields

bvector_size_type | ref_idx
| reference vector index
bm::id64_t | xor_d64
| recorded digest

## Detailed Description

XOR match pair.

Definition at line 273 of file bmxor.h.

## Constructor & Destructor Documentation

## match_pair() [1/2]

bm::match_pair::match_pair | ( |  | ) |

inline

Definition at line 278 of file bmxor.h.

## match_pair() [2/2]

bm::match_pair::match_pair | ( | bvector_size_type | idx,
|  | bm::id64_t | d64 )

inline

Definition at line 279 of file bmxor.h.

References ref_idx, and xor_d64.

## Field Documentation

## ref_idx

bvector_size_type bm::match_pair::ref_idx

reference vector index

Definition at line 275 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::apply_xor_match_vector(), bm::xor_scanner< BV >::compute_sim_model(), and match_pair().

## xor_d64

bm::id64_t bm::match_pair::xor_d64

recorded digest

Definition at line 276 of file bmxor.h.

Referenced by bm::xor_scanner< BV >::apply_xor_match_vector(), bm::xor_scanner< BV >::compute_sim_model(), and match_pair().

The documentation for this struct was generated from the following file:

- bmxor.h